Skip to main content
PATCH
/
holidays
/
{id}
Update a holiday
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/holidays/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "isActive": true,
  "occurrences": [
    "2023-12-25"
  ]
}
'
import requests

url = "https://www.ruddr.io/api/workspace/holidays/{id}"

payload = {
"name": "<string>",
"description": "<string>",
"isActive": True,
"occurrences": ["2023-12-25"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isActive: true,
occurrences: ['2023-12-25']
})
};

fetch('https://www.ruddr.io/api/workspace/holidays/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "e8a1d4f3-5b72-4c09-96e2-c0d3f7a81b24",
  "name": "Summer Fridays",
  "description": "Half-day Fridays during the summer months.",
  "readOnly": false,
  "isActive": true,
  "createdAt": "2026-01-20T16:08:44.561Z",
  "occurrences": [
    "2026-06-05",
    "2026-06-12",
    "2026-06-19",
    "2026-06-26"
  ]
}
A day off that can be added to a holiday schedule. Ruddr includes several built-in standard holidays, and you can also create custom holidays.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The holiday uuid.

Body

application/json
name
string

The name of the holiday. Max 255 characters.

description
string | null

A description of the holiday. Max 5000 characters.

isActive
boolean

Whether the holiday is active.

occurrences
string<date>[]

A list of unique occurrence dates for this holiday using format YYYY-MM-DD.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the holiday.

description
string | null

A description of the holiday.

readOnly
boolean

Whether the holiday is read-only. Read-only holidays are system defaults shared across all workspaces.

isActive
boolean

Whether the holiday is active.

createdAt
string<date-time>

The timestamp when the object was created.

occurrences
string<date>[]

The list of occurrence dates for this holiday (YYYY-MM-DD).